> ## Documentation Index
> Fetch the complete documentation index at: https://waffo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay Method Config Inquiry



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/paymethodconfig/inquiry
openapi: 3.1.0
info:
  title: acquiring-order
  description: 接口文档
  termsOfService: https://www.waffo.com
  version: 1.0.0
servers:
  - url: https://www.waffo.com
    description: Sandbox API (auto-signed via Next.js proxy)
security: []
tags:
  - name: Order create
    description: ' Order create api description'
  - name: Subscription create
    description: Subscription create api description
  - name: Subscription inquiry
    description: Subscription inquiry api description
  - name: Order inquiry
    description: Order inquiry api description
  - name: Subscription cancel
    description: >
      Cancel an active subscription when the merchant no longer wishes to
      continue the recurring billing cycle. This endpoint can only be invoked
      when the subscription status is active
  - name: Order cancel
    description: Order cancel api description
  - name: Subscription manage
    description: >
      This API allows the merchant to request a subscription management URL from
      Waffo

      Waffo will generate a subscription management URL which merchant can
      redirect user to this URL for managing subscription details (e.g. view
      subscription detail and cancel subscription). This management URL has a
      fixed expiration time (e.g., 1 day).
  - name: Order refund
    description: Order refund api description
  - name: Subscription change
    description: >
      This API allows merchants to upgrade or downgrade a user's subscription
      plan. The change request will create a new subscription based on the
      original subscription, applying any remaining amount from the original
      subscription.


      此接口允许商户升级或降级用户的订阅计划。升降级请求将基于原订阅创建新订阅，并将原订阅的剩余金额应用到新订阅中。
  - name: Refund inquiry
    description: Refund inquiry api description
  - name: Subscription change inquiry
    description: >
      This API allows merchants to query the status of a subscription change
      (upgrade/downgrade) request.

      此接口允许商户查询订阅升降级请求的状态。
  - name: Merchant config inquiry
    description: Merchant config inquiry api description
  - name: Pay Method Config Inquiry
    description: Pay Method Config Inquiry api description
paths:
  /api/v1/paymethodconfig/inquiry:
    post:
      tags:
        - Pay Method Config Inquiry
      summary: Pay Method Config Inquiry
      operationId: payMethodConfigInquiry
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayMethodConfigInquiryRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponsePayMethodConfigInquiryResponse'
components:
  schemas:
    PayMethodConfigInquiryRequest:
      type: object
      properties:
        merchantId:
          type: string
          default: '1000000201'
          description: Merchant id assigned by Waffo
          example: 1000000201
          maxLength: 64
          minLength: 0
      required:
        - merchantId
    ResponsePayMethodConfigInquiryResponse:
      type: object
      description: response data
      properties:
        code:
          type: string
        msg:
          type: string
        data:
          $ref: '#/components/schemas/PayMethodConfigInquiryResponse'
    PayMethodConfigInquiryResponse:
      type: object
      properties:
        merchantId:
          type: string
          default: '1000000201'
          description: Merchant id assigned by Waffo
          example: 1000000201
        payMethodDetails:
          type: array
          description: >-
            The array object of the pay methods details that merchant has signed
            a contract with
          items:
            $ref: '#/components/schemas/PayMethodDetail'
      required:
        - merchantId
        - payMethodDetails
    PayMethodDetail:
      type: object
      description: The pay methods details that merchant has signed a contract with
      properties:
        productName:
          type: string
          description: |-
            Payment product: 
            - **ONE_TIME_PAYMENT** 
            - **DIRECT_PAYMENT**
        payMethodName:
          type: string
          description: The name of the pay method. e.g. GCash, DANA
        country:
          type: string
          description: The country of the pay method e.g. PHL, IDN
        currentStatus:
          type: string
          description: |-
            The current availability of the pay method
            - **1** - Available
            - **0** - Not available
        fixedMaintenanceRules:
          type: array
          description: >-
            The fixed maintenance period, written in cron expression format.
            e.g.

            - **0 30 1 * * ?   -  0 30 2 * * ?** -  Not available daily from
            1:30-2:30am

            - **0 00 23 ? * 1,2,3,4,5  -  0 59 23 ? * 1,2,3,4,5** - Not
            available From Mon-Fri 11:00pm-11:59pm

            - **0 00 0 1,15 * ?  -  0 59 23 1,15 * ?** - Not available on Day 1,
            Day 15 of the month
          items:
            $ref: '#/components/schemas/FixedMaintenanceRule'
        fixedMaintenanceTimezone:
          type: string
          description: The fixed maintenance timezone. e.g UTC+08:00, UTC+05:30
      required:
        - country
        - currentStatus
        - fixedMaintenanceRules
        - fixedMaintenanceTimezone
        - payMethodName
        - productName
    FixedMaintenanceRule:
      type: object
      description: The fixed maintenance timezone. e.g UTC+08:00, UTC+05:30
      properties:
        startRule:
          type: string
          description: >-
            The start time of fixed maintenance. written in cron expression
            format e.g. 

            **00 00 00 ? * THU**
        endRule:
          type: string
          description: >-
            The end time of fixed maintenance. written in cron expression format
            e.g. 

            **00 00 00 ? * THU**
      required:
        - endRule
        - startRule

````